<?php
/*
  Plugin Name: Event Espresso - Kizomba Nigeria Messages Template Pack 
  Plugin URI: http://www.manndi.com
  Description: This is the official Event Espresso Messages template pack for kizomba Nigeria event messages.
  Version: 1.0
  Author: George Nnanwubar
  Author URI: http://www.george.ng
  Copyright 2017 Manndi Technologies (email : support@manndi.com)

 *
 * ------------------------------------------------------------------------
 */

define( 'EE_KZN_MSG_TP_VERSION', '1.0' );
define( 'EE_KZN_MSG_TP_FILE', __FILE__ );
define( 'EE_KZN_MSG_TP_PATH', plugin_dir_path( __FILE__ ) . '/' );
define( 'EE_KZN_MSG_TP_URL', plugin_dir_url( __FILE__ ) . '/' );

function ee_kizomba_nigeria_messages_template_pack_load_textdomain() {
	load_plugin_textdomain( 'ee-kizomba-nigeria-messages-template-pack', FALSE, dirname( plugin_basename( __FILE__ ) ) . '/lang/' );
}
add_action('plugins_loaded', 'ee_kizomba_nigeria_messages_template_pack_load_textdomain');

function ee_kizomba_nigeria_messages_template_pack_register_new_variation() {
	if ( ! class_exists( 'EE_Register_Messages_Template_Pack' ) ) {
		return;
	}

	$setup = array(
		'path' => rtrim(EE_KZN_MSG_TP_PATH, '/'),
		'classname' => 'EE_Messages_Template_Pack_Kizomba_Nigeria_Pack',
	);
	EE_Register_Messages_Template_Pack::register( 'ee_kizomba_nigeria_pack', $setup );
}
add_action( 'EE_Brewing_Regular___messages_caf',  'ee_kizomba_nigeria_messages_template_pack_register_new_variation' );
