<!doctype html>
<html>
	<head>
		<title><?php echo $page_title; ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
		<?php wp_head(); ?>
		<!-- Print Style Sheet -->
		<link rel="stylesheet" type="text/css" href="<?php echo $print_css; ?>" media="print" />
		<!-- Primary Style Sheet -->
		<link rel="stylesheet" type="text/css" href="<?php echo $main_css; ?>" />
		<!-- Additional Style Sheet -->
		<?php if ( isset( $extra_css )) : ?>
		<link rel="stylesheet" type="text/css" href="<?php echo $extra_css; ?>" />
		<?php endif; ?>
		<!-- Make sure the buttons don't print -->
		<style type="text/css">
		@media print{ .noPrint{ display:none !important;height:0!important; width:0!important; margin:0!important; padding:0!important; }}
		</style>
		<?php do_action( 'AHEE__EE_Html_Messenger_main_wrapper_template_head', $message_type, $page_title, $base_css, $print_css, $main_css, $main_body); ?>
	</head>
	<?php do_action( 'AHEE__EE_Html_Messenger_main_wrapper_template_header', $message_type, $page_title, $base_css, $print_css, $main_css, $main_body); ?>
	<body>
		<?php do_action( 'AHEE__EE_Html_Messenger_main_wrapper_template_before_main_body', $message_type, $page_title, $base_css, $print_css, $main_css, $main_body); ?>
		<?php echo $main_body; ?>
		<?php do_action( 'AHEE__EE_Html_Messenger_main_wrapper_template_after_main_body', $message_type, $page_title, $base_css, $print_css, $main_css, $main_body); ?>
	</body>
	<?php do_action( 'AHEE__EE_Html_Messenger_main_wrapper_template_footer', $message_type, $page_title, $base_css, $print_css, $main_css, $main_body); ?>
	<?php wp_footer(); ?>
</html>